//////////////////////////////////////////////////////////////////////////////
// $Id: TestsUtils.h,v 1.1.1.1 2003/09/15 16:37:49 nthiery Exp $
// Name:	TestsUtils.h
// Purpose:	GLIP test suite, C++ utilities
//		(User interface)
// Author:	Nicolas M. Thiéry <nthiery@mines.edu>
// Created:	2000/07
// Copyright:	LGPL
//////////////////////////////////////////////////////////////////////////////

#ifndef GLIP_TESTSUTILS_H
#define GLIP_TESTSUTILS_H

#include <sstream>
#include <string>
#include <map>
#include <iostream>

std::istringstream *read_command();
using std::string;
using std::cout;
using std::endl;
using std::cout;
using std::cin;
using std::cerr;
using std::clog;

extern bool verbose;
void test_start(string s);
void pass();
void fail();
void xpass();
void xfail();
void test (bool, string);
void xtest (bool, string);
template <class T1, class T2>
void test (const T1 &, const T2 &, string);
template <class T1, class T2>
void xtest (const T1 &, const T2 &, string);
int test_summary();

#endif	/* GLIP_TESTUTILS_H */

// Local Variables: 
// mode: c++
// End: 
